#1702 PMD 5.0.1 missing dependency commons-io

closed
None
5
2013-03-20
2013-03-16
Eric Le Lay
No

I get this exception when running "pmd-check-all-open-buffers" action.
It's fixed by adding commons-io.jar from http://commons.apache.org/proper/commons-io/
commons-io is not part of jakarta-commons.

19:03:57 [AWT-EventQueue-0] [error] AWT-EventQueue-0: Exception in thread "AWT-EventQueue-0"
19:03:57 [AWT-EventQueue-0] [error] AWT-EventQueue-0: java.lang.NoClassDefFoundError: org/apache/commons/io/IOUtils
19:03:57 [AWT-EventQueue-0] [error] AWT-EventQueue-0: at net.sourceforge.pmd.SourceCodeProcessor.processSourceCode(SourceCodeProcessor.java:86)
19:03:57 [AWT-EventQueue-0] [error] AWT-EventQueue-0: at net.sourceforge.pmd.SourceCodeProcessor.processSourceCode(SourceCodeProcessor.java:46)
19:03:57 [AWT-EventQueue-0] [error] AWT-EventQueue-0: at net.sourceforge.pmd.processor.PmdRunnable.call(PmdRunnable.java:75)
19:03:57 [AWT-EventQueue-0] [error] AWT-EventQueue-0: at net.sourceforge.pmd.processor.PmdRunnable.call(PmdRunnable.java:22)
19:03:57 [AWT-EventQueue-0] [error] AWT-EventQueue-0: at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
19:03:57 [AWT-EventQueue-0] [error] AWT-EventQueue-0: at java.util.concurrent.FutureTask.run(FutureTask.java:166)
19:03:57 [AWT-EventQueue-0] [error] AWT-EventQueue-0: at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
19:03:57 [AWT-EventQueue-0] [error] AWT-EventQueue-0: at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
19:03:57 [AWT-EventQueue-0] [error] AWT-EventQueue-0: at java.lang.Thread.run(Thread.java:722)

Discussion

  • Alan Ezust

    Alan Ezust - 2013-03-16

    FileSync plugin includes commons-io-2.4.jar ....

     
  • Dale Anson

    Dale Anson - 2013-03-17

    That explains why it works fine for me... so the temporary work-around is to install the FileSync plugin. I'll add commons-io to the Jakarta Commons plugin.

     
  • Dale Anson

    Dale Anson - 2013-03-17

    I've updated Jakarta Commons to include commons-io-2.4.jar, updated PMD to depend on the Jakarta Commons plugin, and removed commons-io-2.4.jar from FileSync and also made it depend on the Jakarta Commons plugin. I'm a little strapped for time right now, so I'll try to get plugin release requests submitted tomorrow.

     
  • Dale Anson

    Dale Anson - 2013-03-20
    • status: open --> closed
     
  • Dale Anson

    Dale Anson - 2013-03-20

    Fixed in PMD 5.0.2.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks